Bug 175383 - Add "display" to FontFace Javascript object
Summary: Add "display" to FontFace Javascript object
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Text (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords: InRadar
Depends on: 175384
Blocks: 167332
  Show dependency treegraph
 
Reported: 2017-08-09 08:18 PDT by Myles C. Maxfield
Modified: 2017-10-05 18:25 PDT (History)
7 users (show)

See Also:


Attachments
WIP (5.52 KB, patch)
2017-10-05 12:29 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (5.83 KB, patch)
2017-10-05 13:17 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (9.03 KB, patch)
2017-10-05 16:02 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (9.10 KB, patch)
2017-10-05 16:03 PDT, Myles C. Maxfield
simon.fraser: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2017-08-09 08:18:51 PDT
1) Figure out (from the relevant standardization body) if it should be present
2) If so, implement it
Comment 1 Radar WebKit Bug Importer 2017-08-09 15:34:44 PDT
<rdar://problem/33813239>
Comment 2 Myles C. Maxfield 2017-08-10 09:59:00 PDT
The spec doesn't list this property.
Comment 3 Myles C. Maxfield 2017-08-10 09:59:06 PDT
(In reply to Myles C. Maxfield from comment #2)
> The spec doesn't list this property.

https://drafts.csswg.org/css-font-loading/#fontface-interface
Comment 6 Myles C. Maxfield 2017-08-10 12:04:52 PDT
Given that all the existing implementations of font-display do this, we probably do too. I've (re)opened https://github.com/w3c/csswg-drafts/issues/1360 for the spec.
Comment 7 Myles C. Maxfield 2017-10-05 12:29:10 PDT
Created attachment 322882 [details]
WIP
Comment 8 Build Bot 2017-10-05 12:30:21 PDT
Attachment 322882 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 Myles C. Maxfield 2017-10-05 13:17:17 PDT
Created attachment 322902 [details]
WIP
Comment 10 Build Bot 2017-10-05 13:18:56 PDT
Attachment 322902 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 11 Myles C. Maxfield 2017-10-05 16:02:14 PDT
Created attachment 322929 [details]
Patch
Comment 12 Myles C. Maxfield 2017-10-05 16:03:09 PDT
Created attachment 322930 [details]
Patch
Comment 13 Simon Fraser (smfr) 2017-10-05 17:57:43 PDT
Comment on attachment 322930 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=322930&action=review

> LayoutTests/fast/text/font-loading-font-display.html:21
> +let values = ["auto", "block", "swap", "fallback", "optional"];

Maybe test setting to an invalid value?
Comment 14 Myles C. Maxfield 2017-10-05 18:25:06 PDT
Committed r222949: <http://trac.webkit.org/changeset/222949>